Bug 8823 - require a single window user interface
require a single window user interface
Status: CLOSED WONTFIX
Product: ide
Classification: Unclassified
Component: UI
3.x
All All
: P1 (vote)
: TBD
Assigned To: issues@www
issues@www
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2000-12-08 01:20 UTC by shuxueli
Modified: 2005-03-09 04:28 UTC (History)
0 users

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description shuxueli 2000-12-08 01:20:57 UTC
highly recommend that the ui can be configured to a single and splited window
including the most used components, such as exploer, source editor and a output
window. Like in most of popular IDEs (JBuilder, Kawa), the single window UI is
clean, convenient and efficient to use. some developers may have some reason to
like the current style, but most of developers I knew who like Forte's powerful
functionality but the UI style switch to JBuilder. I have read the docs of
online chart about Forte in Java developer forum. I found this issue mentioned
by several developers had just been simply rejected. So, please listen to us if
you really want to Fore to success.
Comment 1 Rostislav Levy 2000-12-08 08:29:59 UTC
Netbeans team is working on new windowing system which will support more styles
(MDI, SDI and Dialogs). You can read about it in our conferences.

For your information - Priority P1 have critical errors and this is a new
feature (new features have priority P5)!
Comment 2 Jiri Mzourek 2001-01-08 17:08:59 UTC
This feature will be in the next release (NetBeans 3.2).
See on: http://openide.netbeans.org/proposals/WindowingSystem.html


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo